Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTomasz Zarna2012-01-20 23:15:03 +0000
committerMatthias Sohn2012-01-20 23:15:03 +0000
commit3fa054bcf7ff60fdf2ec6f48728a1d6b52a8c14e (patch)
tree36f8a887a7d63ee39a6c7ad0abd35a9644d01948 /org.eclipse.jgit.junit.http
parent97210fd6db864026b8745003ea999eb5501aecb7 (diff)
downloadjgit-3fa054bcf7ff60fdf2ec6f48728a1d6b52a8c14e.tar.gz
jgit-3fa054bcf7ff60fdf2ec6f48728a1d6b52a8c14e.tar.xz
jgit-3fa054bcf7ff60fdf2ec6f48728a1d6b52a8c14e.zip
Workaround incompatible refactoring in Jetty 7.6.0
In Jetty 7.6 package org.eclipse.jetty.http.security was renamed to org.eclipse.jetty.util.security [1] breaking compatibility. Compare docs for the package in 7.5.4 [2] and missing part in 7.6.0 [3]. To fix until we switch to Jetty 8, restrict the maximum version to 7.6.0 exclusive. [1] http://dev.eclipse.org/mhonarc/lists/jetty-dev/msg01175.html [2] http://download.eclipse.org/jetty/7.5.4.v20111024/apidocs/ [3] http://download.eclipse.org/jetty/7.6.0.RC4/apidocs/ Change-Id: I82b107ec76e66367e55e2cc20233a7924bf7be9f Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
Diffstat (limited to 'org.eclipse.jgit.junit.http')
-rw-r--r--org.eclipse.jgit.junit.http/META-INF/MANIFEST.MF26
1 files changed, 13 insertions, 13 deletions
diff --git a/org.eclipse.jgit.junit.http/META-INF/MANIFEST.MF b/org.eclipse.jgit.junit.http/META-INF/MANIFEST.MF
index a7cab1db26..0b75bf9191 100644
--- a/org.eclipse.jgit.junit.http/META-INF/MANIFEST.MF
+++ b/org.eclipse.jgit.junit.http/META-INF/MANIFEST.MF
@@ -9,19 +9,19 @@ Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Import-Package: javax.servlet;version="[2.5.0,3.0.0)",
javax.servlet.http;version="[2.5.0,3.0.0)",
- org.eclipse.jetty.continuation;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.http;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.http.security;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.io;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.security;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.security.authentication;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.server;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.server.handler;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.server.nio;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.servlet;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.util.component;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.util.log;version="[7.1.0,8.0.0)",
- org.eclipse.jetty.util.thread;version="[7.1.0,8.0.0)",
+ org.eclipse.jetty.continuation;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.http;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.http.security;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.io;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.security;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.security.authentication;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.server;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.server.handler;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.server.nio;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.servlet;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.util.component;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.util.log;version="[7.1.0,7.6.0)",
+ org.eclipse.jetty.util.thread;version="[7.1.0,7.6.0)",
org.eclipse.jgit.errors;version="[1.3.0,1.4.0)",
org.eclipse.jgit.http.server;version="[1.3.0,1.4.0)",
org.eclipse.jgit.http.server.resolver;version="[1.3.0,1.4.0)",

Back to the top